Subject: Re: [lojban] Centripetal-centrifugal, little-endian--big-endian, subsets-contents, etc.

From: Ivan A Derzhanski <[email-masked]>
Date: Fri, 12 May 2000 12:14:03 +0300

Thorild Selen wrote:
> [...] yyyy-mm-dd seems like the most logical to me -- it fits
> so nicely into the pattern yyyy-mm-dd hh:mm:ss, and I don't think
> that anyone here would prefer ordering hours, minutes and seconds
> in any other way when writing a time of the day.

Not seconds before anything else, to be sure, but minutes do come
before hours (with the possible omission of the latter if presumed
known) in some natlang ways of telling time, including English
(`_mm_ past/to [_hh_]'; note that this is exactly parallel
to `the _dd_th [of _mm_ [_[yy]yy_]]').

Obviously all has to do with what one is most likely to want
to communicate or to leave out. We discuss recent events more
often than remote ones, so years are elided more often than days
-- otoh, seconds are not very useful on their own.

> (Alright, many like to stick an "am" or "pm" at the end,
> but that is kind of silly since most ought to be able to
> count from 0 to 23 in a modern society.

Most are, but (1) the large numerals tend to be longer and
(2) the 24-hour format is only practical if you happen to be
wearing a digital watch, and then only if it has a 24-hour
display.

> I'd like to know how common it is to use a 24-hr format
> in other parts of the world [...])

In Bulgaria it is the only one that is used in formal speech,
but colloquially it is only ever used to remove ambiguities
(`At six o'clock ... no, not six in the morning, I mean eighteen.')
There are no all-purpose counterparts to `am' and `pm', so the
24-hour format saves wondering whether it's better to say
`6 in the afternoon' or `6 in the evening'.

--Ivan